Loading...
Searching...
No Matches
janus_plugin_data Struct Reference

Janus plugin data message. More...

`#include <plugin.h>`

## Data Fields

char * | label
| The label this message belongs to.
char * | protocol
| The subprotocol this message refers to.
gboolean | binary
| Whether the message data is text (default=FALSE) or binary.
char * | buffer
| The message data.
uint16_t | length
| The message length.

## Detailed Description

Janus plugin data message.

Note
  At the moment, we only support text based datachannels. In the future, once we add support for binary data, this structure may be extended to include info on the nature of the data itself

## Field Documentation

## binary

gboolean janus_plugin_data::binary

Whether the message data is text (default=FALSE) or binary.

## buffer

char* janus_plugin_data::buffer

The message data.

## label

char* janus_plugin_data::label

The label this message belongs to.

## length

uint16_t janus_plugin_data::length

The message length.

## protocol

char* janus_plugin_data::protocol

The subprotocol this message refers to.

The documentation for this struct was generated from the following file:

- plugin.h